Bug 1111726 - valgrind is very noisy with simple program on armv7hl
Summary: valgrind is very noisy with simple program on armv7hl
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: valgrind
Version: rawhide
Hardware: armv7hl
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Mark Wielaard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ARMTracker 1106071
TreeView+ depends on / blocked
 
Reported: 2014-06-20 20:35 UTC by Yaakov Selkowitz
Modified: 2014-11-01 16:53 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-11-01 16:53:56 UTC


Attachments (Terms of Use)
valgrind output (6.90 KB, text/plain)
2014-06-20 20:35 UTC, Yaakov Selkowitz
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 338615 None None None Never

Description Yaakov Selkowitz 2014-06-20 20:35:53 UTC
Created attachment 910895 [details]
valgrind output

On armv7hl rawhide (minimal 20140620 compose on a panda), running valgrind on the simplest C program produces 1054 errors, mostly in ld.so.  Output attached.

Comment 1 Paul Moore 2014-08-06 20:03:36 UTC
Can someone with access to an arm system generate a valgrind suppressions file for the simple C program?

 valgrind --gen-suppressions=all ...

Comment 2 Mark Wielaard 2014-08-28 17:30:57 UTC
Sorry this took so long. I didn't have access to an arm setup with latest glibc. I submitted a patch upstream:
https://bugs.kde.org/show_bug.cgi?id=338615

I'll create new packages for rawhide and f21 soon.

Comment 3 Paul Moore 2014-08-28 22:22:53 UTC
Any chance you can create a valgrind supression file?  While an upstream fix is great, and the right solution, a supression entry will allow us to workaround this for older versions.

Comment 4 Mark Wielaard 2014-08-28 22:25:41 UTC
No, I don't think so. A newer glibc just means using a newer valgrind.
I'll push the fix into the f21/rawhide package tomorrow.

Comment 5 Fedora Update System 2014-08-29 18:49:22 UTC
valgrind-3.9.0-26.svn20140829r14384.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/valgrind-3.9.0-26.svn20140829r14384.fc21

Comment 6 Fedora Update System 2014-08-30 04:47:42 UTC
Package valgrind-3.9.0-26.svn20140829r14384.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing valgrind-3.9.0-26.svn20140829r14384.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9965/valgrind-3.9.0-26.svn20140829r14384.fc21
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2014-10-11 21:14:37 UTC
valgrind-3.10.0-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/valgrind-3.10.0-4.fc21

Comment 8 Fedora Update System 2014-11-01 16:53:56 UTC
valgrind-3.10.0-4.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.